# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .image import Image


class DockerImage(Image):
    """Docker image response.

    :param id: The image id.
    :type id: str
    :param name: The image name.
    :type name: str
    :param version: The image version.
    :type version: int
    :param description: The image description.
    :type description: str
    :param tags: The list of image tags.
    :type tags: list[str]
    :param created_time: Time image was created.
    :type created_time: datetime
    :param image_type:
    :type image_type: str
    :param creation_state: Possible values include: 'NotStarted', 'Running',
     'Cancelled', 'Succeeded', 'Failed'
    :type creation_state: str or ~_restclient.models.enum
    :param error:
    :type error: ~_restclient.models.ModelErrorResponse
    :param model_ids:
    :type model_ids: list[str]
    :param model_details:
    :type model_details: list[~_restclient.models.Model]
    :param driver_program:
    :type driver_program: str
    :param assets:
    :type assets: list[~_restclient.models.ImageAsset]
    :param target_runtime:
    :type target_runtime: ~_restclient.models.TargetRuntime
    :param image_request_type_discriminator:
    :type image_request_type_discriminator: str
    :param docker_file_uri: The Uri to the docker file.
    :type docker_file_uri: str
    :param image_location: Image location string.
    :type image_location: str
    :param image_build_log_uri: The Uri to the image build logs.
    :type image_build_log_uri: str
    :param generated_docker_file_uri: The Uri to the generated docker file.
    :type generated_docker_file_uri: str
    """

    _validation = {
        'name': {'required': True},
        'image_request_type_discriminator': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'version': {'key': 'version', 'type': 'int'},
        'description': {'key': 'description', 'type': 'str'},
        'tags': {'key': 'tags', 'type': '[str]'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'image_type': {'key': 'imageType', 'type': 'str'},
        'creation_state': {'key': 'creationState', 'type': 'str'},
        'error': {'key': 'error', 'type': 'ModelErrorResponse'},
        'model_ids': {'key': 'modelIds', 'type': '[str]'},
        'model_details': {'key': 'modelDetails', 'type': '[Model]'},
        'driver_program': {'key': 'driverProgram', 'type': 'str'},
        'assets': {'key': 'assets', 'type': '[ImageAsset]'},
        'target_runtime': {'key': 'targetRuntime', 'type': 'TargetRuntime'},
        'image_request_type_discriminator': {'key': 'imageRequestTypeDiscriminator', 'type': 'str'},
        'docker_file_uri': {'key': 'dockerFileUri', 'type': 'str'},
        'image_location': {'key': 'imageLocation', 'type': 'str'},
        'image_build_log_uri': {'key': 'imageBuildLogUri', 'type': 'str'},
        'generated_docker_file_uri': {'key': 'generatedDockerFileUri', 'type': 'str'},
    }

    def __init__(self, name, image_request_type_discriminator, id=None, version=None, description=None, tags=None, created_time=None, image_type=None, creation_state=None, error=None, model_ids=None, model_details=None, driver_program=None, assets=None, target_runtime=None, docker_file_uri=None, image_location=None, image_build_log_uri=None, generated_docker_file_uri=None):
        super(DockerImage, self).__init__(id=id, name=name, version=version, description=description, tags=tags, created_time=created_time, image_type=image_type, creation_state=creation_state, error=error, model_ids=model_ids, model_details=model_details, driver_program=driver_program, assets=assets, target_runtime=target_runtime, image_request_type_discriminator=image_request_type_discriminator)
        self.docker_file_uri = docker_file_uri
        self.image_location = image_location
        self.image_build_log_uri = image_build_log_uri
        self.generated_docker_file_uri = generated_docker_file_uri
