# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class HdiConfiguration(Model):
    """A class for managing Hdi Configuration.
    The class properties takes effect only when the target is set to an Azure
    HDI compute.
    The HDI Configuration is used to set the YARN deployment mode. It is
    defaulted to cluster mode.

    :param yarn_deploy_mode: You can specify the field yarn_deploy_mode with
     the value of either 'cluster' or 'client'. Possible values include:
     'None', 'Client', 'Cluster'
    :type yarn_deploy_mode: str or ~_restclient.models.YarnDeployMode
    """

    _attribute_map = {
        'yarn_deploy_mode': {'key': 'yarnDeployMode', 'type': 'YarnDeployMode'},
    }

    def __init__(self, yarn_deploy_mode=None):
        super(HdiConfiguration, self).__init__()
        self.yarn_deploy_mode = yarn_deploy_mode
