# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ModelSchema(Model):
    """The scehma for AzureML Model.

    :param name: Schema name
    :type name: str
    :param data_type: Data type. Possible values include: 'Undefined', 'Bool',
     'Uint8', 'Uint16', 'Uint32', 'Uint64', 'Int8', 'Int16', 'Int32', 'Int64',
     'Float16', 'Float32', 'Float64', 'Bfloat16', 'Complex64', 'Complex128',
     'String'
    :type data_type: str or ~_restclient.models.ModelSchemaDataType
    :param shape: The shape of the data
    :type shape: list[int]
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'data_type': {'key': 'dataType', 'type': 'ModelSchemaDataType'},
        'shape': {'key': 'shape', 'type': '[int]'},
    }

    def __init__(self, name, data_type=None, shape=None):
        super(ModelSchema, self).__init__()
        self.name = name
        self.data_type = data_type
        self.shape = shape
