# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class PackageRequest(Model):
    """PackageRequest.

    :param image_request: Description of the package contents.
    :type image_request: ~_restclient.models.PackageRequestImageRequest
    :param package_type: The kind of package to create. Possible values
     include: 'DockerBuildContext', 'DockerImage'
    :type package_type: str or ~_restclient.models.PackageType
    :param deployed_api_options: Options for the API that the package exposes.
     Defaults to the standard AzureMl rest server.
    :type deployed_api_options:
     ~_restclient.models.PackageRequestDeployedApiOptions
    """

    _attribute_map = {
        'image_request': {'key': 'imageRequest', 'type': 'PackageRequestImageRequest'},
        'package_type': {'key': 'packageType', 'type': 'PackageType'},
        'deployed_api_options': {'key': 'deployedApiOptions', 'type': 'PackageRequestDeployedApiOptions'},
    }

    def __init__(self, image_request=None, package_type=None, deployed_api_options=None):
        super(PackageRequest, self).__init__()
        self.image_request = image_request
        self.package_type = package_type
        self.deployed_api_options = deployed_api_options
