# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ProfileRequestBase(Model):
    """The request for creating a profile.

    :param name: The profile name.
    :type name: str
    :param description: The profile description.
    :type description: str
    :param input_data: The profile input data.
    :type input_data: str
    :param input_dataset_id: The profile input dataset name/id.
    :type input_dataset_id: str
    :param kv_tags: The tags dictionary.
    :type kv_tags: dict[str, str]
    :param properties: The properties dictionary.
    :type properties: dict[str, str]
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'input_data': {'key': 'inputData', 'type': 'str'},
        'input_dataset_id': {'key': 'inputDatasetId', 'type': 'str'},
        'kv_tags': {'key': 'kvTags', 'type': '{str}'},
        'properties': {'key': 'properties', 'type': '{str}'},
    }

    def __init__(self, name, description=None, input_data=None, input_dataset_id=None, kv_tags=None, properties=None):
        super(ProfileRequestBase, self).__init__()
        self.name = name
        self.description = description
        self.input_data = input_data
        self.input_dataset_id = input_dataset_id
        self.kv_tags = kv_tags
        self.properties = properties
